05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
ObjectManipulationProperties Class Reference
ObjectManipulationGUIModule

Object manipulation properties. More...

`#include <ObjectManipulationProperties.h>`

Inheritance diagram for ObjectManipulationProperties:

## Public Member Functions
| ObjectManipulationProperties (ObjectManipulationWindow *managed_window, QObject *parent=0)
| Default constructor, initializes wrapper object. More...
int | interface_size () const
| Gets base button size in pixels. More...
void | set_interface_size (int interface_size)
| Sets base button size in pixels. More...
int | initial_rotation () const
| Gets initial rotation in degrees. More...
void | set_initial_rotation (int initial_rotation)
| Sets initial rotation in degrees. More...
int | rotation_step () const
| Gets rotation step in degrees. More...
void | set_rotation_step (int rotation_step)
| Sets rotation step in degrees. More...
float | view_scroll_step () const
| Gets view scroll step (fraction of view window) More...
void | set_view_scroll_step (float view_scroll_step)
| Sets view scroll step (fraction of view window) More...
float | zoom_in_out_factor () const
| Gets zoom in/out factor. More...
void | set_zoom_in_out_factor (float zoom_in_out_factor)
| Sets zoom in/out factor. More...
QString | bin_descriptors () const
| Gets bin descriptors. More...
void | set_bin_descriptors (const QString &bin_descriptors)
| Sets bin descriptors. More...
QString | image_file () const
| Gets image file. More...
void | set_image_file (const QString &image_file)
| Sets image file. More...
QString | object_list_file () const
| Gets object list file. More...
void | set_object_list_file (const QString &object_list_file)
| Sets object list file. More...
virtual void | readXml (QXmlStreamReader &stream)
| reads XML file TODO More...
Public Member Functions inherited from cXmlIO
| cXmlIO (int _xmlID=0, QObject *parent=nullptr)
virtual QString | sXmlKey ()
| Generates key of XML entry (as name of the serialised class is) More...
virtual void | findInXML (QString &fileName, bool compareXmlID=true)
| serches th file for XML key corr to class name and fill class properties according to entries found More...
virtual void | writeXml (QXmlStreamWriter &xml)
| Writes XML entries to file. Can be overloaded to save additional data, apart from object properties. More...
virtual void | writeCsvData (QXmlStreamWriter &stream, QString key, const QVector< QVector< double > > &s)
virtual void | writeCsvVector (QXmlStreamWriter &stream, QString key, const QVector< double > &s)
virtual void | readCsvData (QXmlStreamReader &stream, QVector< QVector< double > > &s)
virtual void | readCsvVector (QXmlStreamReader &stream, QVector< double > &s)
virtual void | write64BaseData (QXmlStreamWriter &stream, QString key, const QVector< QVector< double > > &s)
virtual void | read64BaseData (QXmlStreamReader &stream, QVector< QVector< double > > &s)
template<typename T >
void | writeData (QXmlStreamWriter &stream, QString key, const T &data)
template<typename T >
void | readData (QXmlStreamReader &stream, T &data)
int | getXmlID () const
void | setXmlID (int value)

## Properties
int | Interface_size
| Base button size in pixels. More...
int | Initial_rotation
| Initial rotation in degrees units. More...
int | Rotation_step
| Rotation step in degrees. More...
float | View_scroll_step
| View scroll step (fraction of view window) More...
float | Zoom_in_out_factor
| Zoom in/out factor. More...
QString | Bin_descriptors
| Bin descriptors. More...
QString | Image_file
| Static image file to display, disables live camera input and switches to object manipulation mode. More...
QString | Object_list_file
| Object list file. More...
Properties inherited from cXmlIO
int | xmlID
| Defines uniqe identifier for object in XML file. More...

## Additional Inherited Members
Static Public Member Functions inherited from cXmlIO
static void | metaCopy (QObject *dest, QObject *src)
Protected Member Functions inherited from cXmlIO
void | metaDataXmlReader (QXmlStreamReader &stream, QObject &obj, bool isUser=true)
void | metaDataXmlWriter (QXmlStreamWriter &stream, const QObject &obj, bool isUser=true)

## Detailed Description

Object manipulation properties.

Wrapper class for all ObjectManipulationWindow settings as cXmlIO-derived XML reader/writer.

## Constructor & Destructor Documentation

ObjectManipulationProperties | ( | ObjectManipulationWindow * | managed_window,
|  | QObject * | parent = `0`
| ) |  |

Default constructor, initializes wrapper object.

Parameters

  parent | pointer to parent widget

## Member Function Documentation

QString bin_descriptors | ( |  | ) | const

Gets bin descriptors.

QString image_file | ( |  | ) | const

Gets image file.

int initial_rotation | ( |  | ) | const

Gets initial rotation in degrees.

int interface_size | ( |  | ) | const

Gets base button size in pixels.

QString object_list_file | ( |  | ) | const

Gets object list file.

virtual void readXml | ( | QXmlStreamReader & | stream | ) |
| inline virtual

reads XML file TODO

Parameters

  stream | XML stream

Reimplemented from cXmlIO.

int rotation_step | ( |  | ) | const

Gets rotation step in degrees.

void set_bin_descriptors | ( | const QString & | bin_descriptors | ) |

Sets bin descriptors.

void set_image_file | ( | const QString & | image_file | ) |

Sets image file.

void set_initial_rotation | ( | int | initial_rotation | ) |

Sets initial rotation in degrees.

void set_interface_size | ( | int | interface_size | ) |

Sets base button size in pixels.

void set_object_list_file | ( | const QString & | object_list_file | ) |

Sets object list file.

void set_rotation_step | ( | int | rotation_step | ) |

Sets rotation step in degrees.

void set_view_scroll_step | ( | float | view_scroll_step | ) |

Sets view scroll step (fraction of view window)

void set_zoom_in_out_factor | ( | float | zoom_in_out_factor | ) |

Sets zoom in/out factor.

float view_scroll_step | ( |  | ) | const

Gets view scroll step (fraction of view window)

float zoom_in_out_factor | ( |  | ) | const

Gets zoom in/out factor.

## Property Documentation

QString Bin_descriptors
| read write

Bin descriptors.

QString Image_file
| read write

Static image file to display, disables live camera input and switches to object manipulation mode.

int Initial_rotation
| read write

Initial rotation in degrees units.

int Interface_size
| read write

Base button size in pixels.

QString Object_list_file
| read write

Object list file.

int Rotation_step
| read write

Rotation step in degrees.

float View_scroll_step
| read write

View scroll step (fraction of view window)

float Zoom_in_out_factor
| read write

Zoom in/out factor.

The documentation for this class was generated from the following file:

- interface/ObjectManipulationProperties.h